---
title: "List watched Instagram accounts"
canonical_url: "https://tweetstream.io/docs/api/list-instagram-accounts"
last_updated: 2026-11-05
---

# List watched Instagram accounts

List the Instagram accounts on your watchlist and your account limit.

Canonical URL: https://tweetstream.io/docs/api/list-instagram-accounts

## `GET /api/instagram/accounts`

`https://api.tweetstream.io/api/instagram/accounts`

## Authorization

| Name | Type | Description |
| --- | --- | --- |
| `Authorization` | `string`, required | Bearer authentication with your TweetStream API key: `Bearer <key>`. |

## Response fields

| Name | Type | Description |
| --- | --- | --- |
| `accounts` | `object[]`, required |  |
| `accounts.username` | `string`, required |  |
| `accounts.state` | `enum<string>`, required | `live`: watched now. `pending`: added, and watching starts shortly. `paused`: over your current limit, so not watched. |
| `accounts.createdAt` | `string`, required |  |
| `limit` | `integer`, required |  |
| `websocketIncluded` | `boolean`, required |  |

## Responses

| Status | Description | Headers |
| --- | --- | --- |
| `200` | Success |  |
| `401` | Missing or invalid API key |  |
| `403` | The authenticated account cannot use this capability |  |
| `500` | The request could not be completed |  |
| `503` | Instagram account management is temporarily unavailable |  |

### 200

```json
{
  "accounts": [
    {
      "username": "<string>",
      "state": "live",
      "createdAt": "2026-01-01T00:00:00Z"
    }
  ],
  "limit": 0,
  "websocketIncluded": true
}
```

### 401

```json
{
  "error": "<string>"
}
```

### 403

```json
{
  "error": "<string>"
}
```

### 500

```json
{
  "error": "<string>"
}
```

### 503

```json
{
  "error": "<string>"
}
```

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.tweetstream.io/api/instagram/accounts \
  --header "Authorization: Bearer $TWEETSTREAM_API_KEY"
```

### JavaScript

```javascript
const response = await fetch("https://api.tweetstream.io/api/instagram/accounts", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.TWEETSTREAM_API_KEY}`,
  },
});

console.log(response.status, await response.json());
```

### Python

```python
import os
import requests

response = requests.get(
    "https://api.tweetstream.io/api/instagram/accounts",
    headers={"Authorization": f"Bearer {os.environ['TWEETSTREAM_API_KEY']}"},
)

print(response.status_code, response.json())
```
